/*
 * OpenGLWindow class
 * by hackervalley@free.fr
 * http://hackervalley.free.fr
 * May 2004
 * this program is licensed under the GPL.
 */
 
#ifndef OPENGLWINDOW_H
#define OPENGLWINDOW_H

// Fltk headers
#include <FL/Fl.H>

// Handle OpengL
#include <FL/gl.h>
#include <FL/Fl_Gl_Window.H>

extern "C"
{
#include <GL/gl.h>
#include <GL/glu.h>
}

#include "Engine.hh"

namespace FE
{
	class OpenGLWindow:public Fl_Gl_Window
	{
		
		void draw ();
		int handle(int );
		

	    public: 
			
		bool createvertex;
		  			  
		  // Instantiate Engine
		Engine *engine;
		 
		 	  OpenGLWindow (int X, int Y, int W, int H,
				const char *L):Fl_Gl_Window (X, Y, W, H, L)
		{
		 engine = new Engine;
		 createvertex	= false;
		}
		
		~OpenGLWindow();

	};

}

#endif
