/*
 * Engine class
 * by hackervalley@free.fr
 * http://hackervalley.free.fr
 * June 2004
 * this program is licensed under the GPL.
 */

#ifndef ENGINE_H
#define ENGINE_H

#include <string>
#include <fstream>

using namespace std;

namespace FE
{

	class Engine
	{
	      public:
		
		  Engine ();
		 ~Engine ();
		  
		  /* Rectangle Coordinates */
		int x0, y0, x1, y1;
		bool StateDrawRectangle;
		/* WorkFile */
		string WorkFilename;
		  
		/* Move */
		bool StateMove;

		void draw ();
		void drawRectangle (int &, int &, int &, int &);
		void DrawMoveLine(int &, int &, int &, int &);
		void createvertex (int &, int &);
		void selectvertex (int &, int &);
		void RectangleSelectVertex (int &, int &,int &, int &);
		void DeleteSelectVertex ();
		void MoveSelected(int &, int &, int &, int &);
		void OpenFile(char *path);
		void SaveFile(char *path);
		  
	};

}

#endif
