/*
 * Vertex class
 * by hackervalley@free.fr
 * http://hackervalley.free.fr
 * May 2004
 * this program is licensed under the GPL.
 */

#ifndef VERTEX_H
#define VERTEX_H

#include <iostream>
#include <iomanip>

using namespace std;

namespace FE
{

	/* class Vertex define a vertex in 3D space */

	template < typename T = double >class Vertex
	{
	      public:
		int Identifier;
		T x, y, z, lc;
		bool IsSelect; 

		Vertex ():Identifier(0),x (T (0)), y (T (0)), z (T (0)), lc(T(0)), IsSelect(false)
		{
		};


		friend ostream & operator << (ostream & os,
					      const Vertex < T > &Vertex)
		{
			os << "( " << std::
				setprecision (3) << setw (8) << Vertex.
				x << " , ";
			os << setw (12) << Vertex.
				y << " , " << setw (8) << Vertex.z << " )";
			return os;
		}

	};

}

#endif
